JBoss API: Class EJBMetaDataImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class EJBMetaDataImpl

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.EJBMetaDataImpl

All Implemented Interfaces:
  javax.ejb.EJBMetaData, java.io.Serializable

public class EJBMetaDataImpl
extends java.lang.Object
implements javax.ejb.EJBMetaData, java.io.Serializable

An implementation of the EJBMetaData interface which allows a client to obtain the enterprise Bean's meta-data information.

Version:
  $Revision: 1.8 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Constructor Summary
`EJBMetaDataImpl(java.lang.Class remote, java.lang.Class home, java.lang.Class pkClass, boolean session, boolean statelessSession, javax.ejb.HomeHandle homeHandle)` Construct an `EJBMetaDataInput`.

Method Summary
`javax.ejb.EJBHome` | `getEJBHome()` Obtain the home interface of the enterprise Bean.
`java.lang.Class` | `getHomeInterfaceClass()` Obtain the Class object for the enterprise Bean's home interface.
`java.lang.Class` | `getPrimaryKeyClass()` Obtain the Class object for the enterprise Bean's primary key class.
`java.lang.Class` | `getRemoteInterfaceClass()` Obtain the Class object for the enterprise Bean's remote interface.
`boolean` | `isSession()` Test if the enterprise Bean's type is "session".
`boolean` | `isStatelessSession()` Test if the enterprise Bean's type is "stateless session".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBMetaDataImpl

    public EJBMetaDataImpl(java.lang.Class remote,
                           java.lang.Class home,
                           java.lang.Class pkClass,
                           boolean session,
                           boolean statelessSession,
                           javax.ejb.HomeHandle homeHandle)

  Construct an `EJBMetaDataInput`.

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Obtain the home interface of the enterprise Bean.
  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBMetaData`
  Throws:
    `javax.ejb.EJBException` - Failed to get EJBHome object.

### getHomeInterfaceClass

    public java.lang.Class getHomeInterfaceClass()

  Obtain the Class object for the enterprise Bean's home interface.
  Specified by:
    `getHomeInterfaceClass` in interface `javax.ejb.EJBMetaData`

### getRemoteInterfaceClass

    public java.lang.Class getRemoteInterfaceClass()

  Obtain the Class object for the enterprise Bean's remote interface.
  Specified by:
    `getRemoteInterfaceClass` in interface `javax.ejb.EJBMetaData`

### getPrimaryKeyClass

    public java.lang.Class getPrimaryKeyClass()

  Obtain the Class object for the enterprise Bean's primary key class.
  Specified by:
    `getPrimaryKeyClass` in interface `javax.ejb.EJBMetaData`

### isSession

    public boolean isSession()

  Test if the enterprise Bean's type is "session".
  Specified by:
    `isSession` in interface `javax.ejb.EJBMetaData`
  Returns:
    True if the type of the enterprise Bean is session bean.

### isStatelessSession

    public boolean isStatelessSession()

  Test if the enterprise Bean's type is "stateless session".
  Specified by:
    `isStatelessSession` in interface `javax.ejb.EJBMetaData`
  Returns:
    True if the type of the enterprise Bean is stateless session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.